> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Abort a transaction

POST https://{tenant_name}.benchling.com/api/v2/result-transactions/{transaction_id}:abort

Aborting a transaction will discard all uploaded results.

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/assay-results/abort-assay-results-transaction

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `transaction_id` (string, required)

## Response

### 200

OK

- `id` (string, optional)

## Examples

**Response**

```json
{
  "id": "string"
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/result-transactions/transaction_id:abort"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/result-transactions/transaction_id:abort';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```